burn<-.05
partic<-scan("currentfile.txt", what=character())
pars.file<-paste(partic,"_parameters_.dat",sep="")
if( file.exists(pars.file) ){
params<-read.table(pars.file)
nits<-dim(params)[1]
nparams<-dim(params)[2]
nparamplots<-nparams*2
if( nparamplots < 4 ){
    rows<-nparamplots; cols<-1
  }else if( nparamplots == 4 )
  {
    rows<-cols<-2
  }else{
    
    rows <- ceiling(sqrt(nparamplots))-1
    cols <- floor(sqrt(nparamplots))+2
    cols <- ceiling(nparamplots/rows)
  }
par(mfrow=c(rows,cols),mar=c(4,4,4,0))
itrange<-1+(floor(burn*nits)):nits
for(i in 1:nparams){
  fullparvec<-params[,i]
  parvec<-fullparvec[itrange]
  plot(itrange,parvec,type='l',xlab='Iterations',ylab=paste("Parameter",i),main='Trace')
  aveparvec<-cumsum(parvec)/seq(along=parvec) 
  plot(itrange,aveparvec,type='l',xlab='Iterations',ylab=paste("Parameter",i),main='Average')
}
}
